Debian Bug report logs - #552499
ITP: svox -- Small Footprint TTS

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mathieu Parent <sathieu@debian.org>

Date: Tue, 27 Oct 2009 00:12:02 UTC

Owned by: Mathieu Parent <sathieu@debian.org>

Severity: wishlist

Fixed in version svox/1.0+git20100205-1

Done: Mathieu Parent <sathieu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#552499; Package wnpp. (Tue, 27 Oct 2009 00:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Parent <sathieu@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Tue, 27 Oct 2009 00:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Parent <sathieu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: svox -- Small Footprint TTS
Date: Mon, 26 Oct 2009 19:06:34 +0100
Package: wnpp
Severity: wishlist
Owner: Mathieu Parent <sathieu@debian.org>

* Package name    : svox
  Version         : 1.6+1.4
  Upstream Author : SVOX AG
* URL             : http://android.git.kernel.org/?p=platform/external/svox.git;a=summary
* License         : Apache v2
  Programming Lang: C (some C++ and Java)
  Description     : Small Footprint TTS

The SVOX Pico engine is a software speech synthesizer for German, English (GB
and US), Spanish, French and Italian.

SVOX produces a clear and distinct speech output made possible by the use of 
Hidden Markov Model (HMM) algorithms.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>:
Bug#552499; Package wnpp. (Wed, 28 Oct 2009 14:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>. (Wed, 28 Oct 2009 14:54:12 GMT) Full text and rfc822 format available.

Message #10 received at 552499@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: Mathieu Parent <sathieu@debian.org>, 552499@bugs.debian.org
Subject: Re: Bug#552499: ITP: svox -- Small Footprint TTS
Date: Tue, 27 Oct 2009 18:16:53 +0000
On Mon, Oct 26, 2009 at 07:06:34PM +0100, Mathieu Parent wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Mathieu Parent <sathieu@debian.org>
> 
> * Package name    : svox
>   Version         : 1.6+1.4
>   Upstream Author : SVOX AG
> * URL             : http://android.git.kernel.org/?p=platform/external/svox.git;a=summary
> * License         : Apache v2
>   Programming Lang: C (some C++ and Java)
>   Description     : Small Footprint TTS
> 
> The SVOX Pico engine is a software speech synthesizer for German, English (GB
> and US), Spanish, French and Italian.
> 
> SVOX produces a clear and distinct speech output made possible by the use of 
> Hidden Markov Model (HMM) algorithms.

Where can I find the actual implementations of the languages?

pico/lang/ seems to contain binaries.

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
ICQ# 16849754         |                    | friend




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>:
Bug#552499; Package wnpp. (Thu, 29 Oct 2009 12:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>. (Thu, 29 Oct 2009 12:39:10 GMT) Full text and rfc822 format available.

Message #15 received at 552499@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Tzafrir Cohen <tzafrir@cohens.org.il>
Cc: 552499@bugs.debian.org
Subject: Re: Bug#552499: ITP: svox -- Small Footprint TTS
Date: Thu, 29 Oct 2009 11:00:24 +0100
Hello,

The current packages are on collab-maint git:
http://git.debian.org/?p=collab-maint/svox.git;a=summary (WIP)

On Tue, Oct 27, 2009 at 7:16 PM, Tzafrir Cohen <tzafrir@cohens.org.il> wrote:
> ...
>
> Where can I find the actual implementations of the languages?
>
> pico/lang/ seems to contain binaries.

Those are "lingware". I have to figure out what is the format to allow
inclusion in main.

As I understand now:
- Those lingware are loaded in memory with picorsrc_loadResource() in
lib/picorsrc.c.
- They are not executed from memory (this is a guess, as svox is
cross-platform), but interpreted (they probably contain some FFT and
DCT parameters, see lib/picofftsg.c)
- The process is in sigProcess (lib/picosig.c)

What probably need to be done is to convert those binaries into some
text format (XML or something) to allow inclusion in Debian.

I have reported this as http://code.google.com/p/android/issues/detail?id=4415

Regards

Mathieu Parent




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 07 Nov 2009 19:33:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>:
Bug#552499; Package wnpp. (Mon, 16 Nov 2009 01:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jason White <jason@jasonjgw.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>. (Mon, 16 Nov 2009 01:57:06 GMT) Full text and rfc822 format available.

Message #22 received at 552499@bugs.debian.org (full text, mbox):

From: Jason White <jason@jasonjgw.net>
To: 552499@bugs.debian.org
Subject: ITP: svox -- Small Footprint TTS
Date: Mon, 16 Nov 2009 11:45:07 +1100
I am also interested in this package.

Unfortunately, this synthesizer is known to segfault while deallocating memory
when compiled under Linux x86-64, whereas this does not occur on 32-bit Arm
and x86 architectures. There is a need for someone with considerable
background and experience to try to track down the cause.

Based on the code which I looked at, it appears that large parts of the
Lingware files are probably derived from data by means of machine learning
algorithms. Consequently, there may be no "source" in any conventional sense
for this material.

There is a press release indicating that tools for building new languages and
voices were part of the contribution by SVOX to Android, but they haven't
appeared publicly as yet.

From a technical point of view, based on my (admittedly limited) knowledge of
tts, this is a very serious technological contribution to free software.

I am interested in it for accessibility reasons, in particular its potential
to be used with the emacspeak, gnome-orca, speakup and yasr packages, given
the necessary integration efforts.





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>:
Bug#552499; Package wnpp. (Tue, 15 Dec 2009 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>. (Tue, 15 Dec 2009 18:42:02 GMT) Full text and rfc822 format available.

Message #27 received at 552499@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Barry deFreese <ftpmaster@debian.org>
Cc: 552499@bugs.debian.org
Subject: Re: svox_1.6+1.4-1_i386.changes REJECTED
Date: Tue, 15 Dec 2009 19:38:35 +0100
Hello,


On Mon, Dec 14, 2009 at 12:25 AM, Barry deFreese <ftpmaster@debian.org> wrote:
> Hello maintainer,
>
> I am rejecting svox because I do not see the source for the files in pico/lang/*.bin.

Actually, those files are lingware, this is not a software but
representation of a language with FFTs (Fast Fourrier transforms),
like jpeg are for images. What can I do in this case ?

Thanks

Mathieu Parent

> Thank you,
>
> Barry deFreese
> Debian FTP Assistant




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>:
Bug#552499; Package wnpp. (Thu, 04 Feb 2010 10:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Mathieu Parent <sathieu@debian.org>. (Thu, 04 Feb 2010 10:21:07 GMT) Full text and rfc822 format available.

Message #32 received at 552499@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Alexander Block <ablock@blocksoftware.net>
Cc: 552499@bugs.debian.org
Subject: Re: Packaging of svox/pico
Date: Thu, 4 Feb 2010 11:18:44 +0100
Hello Alexander,


On Thu, Feb 4, 2010 at 5:55 AM, Alexander Block
<ablock@blocksoftware.net> wrote:
> Hello Mathieu,
>
> First of all, thanks for packaging libttspico. I already tested your current
> debian package and also started to use it.
Great!

> As I understand the upstream code, com_svox_picottsengine.cpp implements a
> nice C++ class with a lot of convenience functionality. Do you plan to port
> this class to Debian? It looks like there are some Android specific parts
> inside this class, so there will be some porting required. Or do you
> possibly plan to implement a new version of such class?

I don't plan to port this class, but if you provide a patch, I will
happily apply it to debian's git repo.

>
> I'm currently planning to create a Java binding for libttspico as I will
> need it inside a Java application. I will need the functionality of
> com_svox_picottsengine.cpp for this so I would need to either wait for a
> port from your side or start my own. Would be cool if you could tell me your
> plans so no one of us is doing double work.

Go on!

> Greetings,
> Alex
>

Regards

Mathieu Parent




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Mathieu Parent <sathieu@debian.org>:
Bug#552499; Package wnpp. (Fri, 19 Mar 2010 10:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mathieu Parent (Debian)" <sathieu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Mathieu Parent <sathieu@debian.org>. (Fri, 19 Mar 2010 10:24:07 GMT) Full text and rfc822 format available.

Message #37 received at 552499@bugs.debian.org (full text, mbox):

From: "Mathieu Parent (Debian)" <sathieu@debian.org>
To: Alexander Reichle-Schmehl <ftpmaster@debian.org>
Cc: Archive Administrator <installer@ftp-master.debian.org>, 552499@bugs.debian.org
Subject: Re: Comments regarding svox_1.0+git20100205-1_i386.changes
Date: Fri, 19 Mar 2010 11:21:11 +0100
Hi,


On Fri, Mar 19, 2010 at 11:05 AM, Alexander Reichle-Schmehl
<ftpmaster@debian.org> wrote:
> Hi Maintainer!
>
> Could you please explain, what the files in pico/lang/*.bin are, and where to
> find their "source"?

Those are lingware, aka files to convert text to speech. This is
usually done in two steps: text to phonemes (which is specific to the
language: english, french, german, ...) then phonemes to sound (which
is specific to voice (male/female, Isabelle, Peter, ...). There is
some descriptions at <http://www.svox.com/Lingware.aspx>.

I have asked upstream to clarify things at
<http://groups.google.com/group/android-developers/browse_thread/thread/3e8283a558df2007/b06e5e2dfac0566b?lnk=gst&q=svox#b06e5e2dfac0566b>
-No response yet).

As I understand, those files are created from source files
<http://android.git.kernel.org/?p=platform/external/svox.git;a=tree;f=pico_resources/tools/LingwareBuilding/PicoLingware_source_files;h=f32295a2a75fee153604294ad93ab24778c5a4c0;hb=donut>
by using tools in
<http://android.git.kernel.org/?p=platform/external/svox.git;a=tree;f=pico_resources/tools/LingwareBuilding/PicoLingware_tools_windows;h=89cc42d4ae1837a246386f118e76a052a0f2d9a7;hb=donut>.
The lingware source files are documented at
<http://android.git.kernel.org/?p=platform/external/svox.git;a=blob;f=pico_resources/docs/SVOX_Pico_Lingware.pdf;h=111368565abba34055215baaab9ad6e466b2ce83;hb=donut>.

Several problems here (taken form my mail to android-dev):
- those files (tools and src) are not in the master branch
- those files are outdated (2009-10-16 whereas master is 2010-01-12)
- the source code of tools is not provided (but it is said
MODULE_LICENSE_APACHE2)


> Best regards,
>  Alexander


Mathieu Parent




Reply sent to Mathieu Parent <sathieu@debian.org>:
You have taken responsibility. (Thu, 06 May 2010 13:03:04 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Parent <sathieu@debian.org>:
Bug acknowledged by developer. (Thu, 06 May 2010 13:03:04 GMT) Full text and rfc822 format available.

Message #42 received at 552499-close@bugs.debian.org (full text, mbox):

From: Mathieu Parent <sathieu@debian.org>
To: 552499-close@bugs.debian.org
Subject: Bug#552499: fixed in svox 1.0+git20100205-1
Date: Thu, 06 May 2010 13:02:10 +0000
Source: svox
Source-Version: 1.0+git20100205-1

We believe that the bug you reported is fixed in the latest version of
svox, which is due to be installed in the Debian FTP archive:

libttspico-data_1.0+git20100205-1_all.deb
  to non-free/s/svox/libttspico-data_1.0+git20100205-1_all.deb
libttspico-dev_1.0+git20100205-1_i386.deb
  to non-free/s/svox/libttspico-dev_1.0+git20100205-1_i386.deb
libttspico0_1.0+git20100205-1_i386.deb
  to non-free/s/svox/libttspico0_1.0+git20100205-1_i386.deb
svox_1.0+git20100205-1.diff.gz
  to non-free/s/svox/svox_1.0+git20100205-1.diff.gz
svox_1.0+git20100205-1.dsc
  to non-free/s/svox/svox_1.0+git20100205-1.dsc
svox_1.0+git20100205.orig.tar.gz
  to non-free/s/svox/svox_1.0+git20100205.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 552499@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mathieu Parent <sathieu@debian.org> (supplier of updated svox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 12 Mar 2010 19:29:55 +0100
Source: svox
Binary: libttspico-dev libttspico-data libttspico0
Architecture: source i386 all
Version: 1.0+git20100205-1
Distribution: unstable
Urgency: low
Maintainer: Mathieu Parent <sathieu@debian.org>
Changed-By: Mathieu Parent <sathieu@debian.org>
Description: 
 libttspico-data - Small Footprint TTS (lingware)
 libttspico-dev - Small Footprint TTS (development files)
 libttspico0 - Small Footprint TTS (binaries)
Closes: 552499
Changes: 
 svox (1.0+git20100205-1) unstable; urgency=low
 .
   * Initial release. (Closes: #552499)
   * Git snapshot (2010-02-05)
   * non-free because source for lingware files is not included
   * debian/rules: make autogen.sh executable before executing it
   * debian/control: Build-depends on automake, autoconf, libtool
   * debian/control: Build-depends on libpopt-dev
Checksums-Sha1: 
 9a3430f5fa3feab8c967f25f3faca5de59d7a8ba 1237 svox_1.0+git20100205-1.dsc
 9ca799a3462aca24309f9de8c52cfa902d127c12 9185716 svox_1.0+git20100205.orig.tar.gz
 9aaeaafa7aeeba7decb6f8ee91aa0517d1aeb66f 8910 svox_1.0+git20100205-1.diff.gz
 d372ea0719ac52180f3e18b82a9d9c82a75ee31e 207958 libttspico-dev_1.0+git20100205-1_i386.deb
 0b694d0efb639e78e69a82f8ddef2abb0bc0e151 4471890 libttspico-data_1.0+git20100205-1_all.deb
 ce9f1294fa8172e120fd0362015d68c3d1ff243a 161256 libttspico0_1.0+git20100205-1_i386.deb
Checksums-Sha256: 
 9680c33ad27273f98667b57641c40301239d6f0a1ac4b37e4d38d24d9f0897cb 1237 svox_1.0+git20100205-1.dsc
 5a6d9b51c68230c1a101316d6d37a860729b9a0c8ec9846002bd98bc91b08960 9185716 svox_1.0+git20100205.orig.tar.gz
 52bba18013a37933a52703e916764db28f69d3e6b9057cd304c009252c74b217 8910 svox_1.0+git20100205-1.diff.gz
 70f35dbf428deeab87e366e592a462fe08ed2115d14626fb8f17cf2e66742473 207958 libttspico-dev_1.0+git20100205-1_i386.deb
 f7c2051ac5f89a1f01f9e3703b8f1b803671983e91949b41504ad3e9efa351f9 4471890 libttspico-data_1.0+git20100205-1_all.deb
 54add4c0ea0ed211a8ab5f074e0ebd822f8228c863f22a52c8a12b71eff9ddb6 161256 libttspico0_1.0+git20100205-1_i386.deb
Files: 
 6037575b494572c34a91dbfadcde11c7 1237 non-free/sound extra svox_1.0+git20100205-1.dsc
 9fb68bfd2360d65a672c477aa23db90a 9185716 non-free/sound extra svox_1.0+git20100205.orig.tar.gz
 538786077c5aa03581e967d4440c7667 8910 non-free/sound extra svox_1.0+git20100205-1.diff.gz
 93f50629b494443f863162c2379e7359 207958 non-free/libdevel extra libttspico-dev_1.0+git20100205-1_i386.deb
 bf3707c92fd38bed3260994b5e95c86c 4471890 non-free/sound extra libttspico-data_1.0+git20100205-1_all.deb
 c743e80344a781dd55d7f264bbf98e86 161256 non-free/sound extra libttspico0_1.0+git20100205-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkuaiOIACgkQOW2jYf5fHX+vHwCfSDNl5wutIfaQ4SSN4CTu0YPY
M9wAn2d5xyuo6i9Mc3rpNgwDHaL/cLRm
=GDJe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Jun 2010 07:39:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:53:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.